<section class="section">
  <div class="container">
    <div class="d-flex align-items-center flex-column">
      <h1>Take or Back a book</h1>
    </div>
    <div class="row">
      <div class="col-sm-6">
        <div class="card">
          <div class="card-body">
            <h2 class="card-title">Take Book</h2>
            <div [formGroup]="takeBookForm" (ngSubmit)="onSubmit()">
              <div class="form-wrap d-flex mb-4">
                <div class="form-input w-100 shadow py-3 me-4 bg-body rounded">
                  <ng-select
                    #emailInput
                    (close)="emailInput.blur(); emailInput.focus()"
                    [items]="usersArray"
                    (change)="onUserSelect($event)"
                    [searchFn]="onInputSymbol"
                    placeholder="User Email"
                    formControlName="userEmail"
                  >
                  </ng-select>
                </div>
                <div class="form-input w-100 shadow py-3 bg-body rounded">
                  <ng-select
                    #bookInput
                    (close)="bookInput.blur(); bookInput.focus()"
                    [items]="booksArray"
                    (change)="onBookSelect($event)"
                    [searchFn]="onInputSymbol"
                    placeholder="Book"
                    formControlName="bookName"
                  >
                  </ng-select>
                </div>
              </div>
              <button class="btn btn-primary">Take</button>
            </div>
          </div>
        </div>
      </div>
      <div class="col-sm-6">
        <div class="card">
          <div class="card-body">
            <h2 class="card-title">Back Book</h2>

            <button class="btn btn-primary">Back</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
